Skip to content
Primary navigation

List all organization and project API keys.

GET/organization/admin_api_keys

List organization API keys

Query ParametersExpand Collapse
after: optional string

Return keys with IDs that come after this ID in the pagination order.

limit: optional number

Maximum number of keys to return.

order: optional "asc" or "desc"

Order results by creation time, ascending or descending.

One of the following:
"asc"
"desc"
ReturnsExpand Collapse
data: optional array of object { id, created_at, last_used_at, 5 more }
id: string

The identifier, which can be referenced in API endpoints

created_at: number

The Unix timestamp (in seconds) of when the API key was created

formatint64
last_used_at: number

The Unix timestamp (in seconds) of when the API key was last used

formatint64
name: string

The name of the API key

object: string

The object type, which is always organization.admin_api_key

owner: object { id, created_at, name, 3 more }
id: optional string

The identifier, which can be referenced in API endpoints

created_at: optional number

The Unix timestamp (in seconds) of when the user was created

formatint64
name: optional string

The name of the user

object: optional string

The object type, which is always organization.user

role: optional string

Always owner

type: optional string

Always user

redacted_value: string

The redacted value of the API key

value: optional string

The value of the API key. Only shown on create.

first_id: optional string
has_more: optional boolean
last_id: optional string
object: optional string

List all organization and project API keys.

curl https://api.openai.com/v1/organization/admin_api_keys?after=key_abc&limit=20 \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
  "object": "list",
  "data": [
    {
      "object": "organization.admin_api_key",
      "id": "key_abc",
      "name": "Main Admin Key",
      "redacted_value": "sk-admin...def",
      "created_at": 1711471533,
      "last_used_at": 1711471534,
      "owner": {
        "type": "service_account",
        "object": "organization.service_account",
        "id": "sa_456",
        "name": "My Service Account",
        "created_at": 1711471533,
        "role": "member"
      }
    }
  ],
  "first_id": "key_abc",
  "last_id": "key_abc",
  "has_more": false
}
Returns Examples
{
  "object": "list",
  "data": [
    {
      "object": "organization.admin_api_key",
      "id": "key_abc",
      "name": "Main Admin Key",
      "redacted_value": "sk-admin...def",
      "created_at": 1711471533,
      "last_used_at": 1711471534,
      "owner": {
        "type": "service_account",
        "object": "organization.service_account",
        "id": "sa_456",
        "name": "My Service Account",
        "created_at": 1711471533,
        "role": "member"
      }
    }
  ],
  "first_id": "key_abc",
  "last_id": "key_abc",
  "has_more": false
}